Get customer contact information
Get details about a customer contact.
get/tenants/{tenantUid}/customer-contacts/{customerContactUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+customerContactUidstringRequiredPattern:
Reference to a Customer contact.
^[A-Za-z0-9-_]+Responses
200Success
application/json
CustomerContactResponseSchema
firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
get/tenants/{tenantUid}/customer-contacts/{customerContactUid}
GET /v2/tenants/{tenantUid}/customer-contacts/{customerContactUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
"firstname": "text",
"lastname": "text",
"email": "text",
"mobile": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"customerContactUid": "text",
"displayName": "text",
"customers": [
{
"customerUid": "text",
"displayName": "text",
"role": "ADMIN",
"extensions": [
{
"extensionCode": "TWO_INVOICE",
"organizationUid": "text"
}
]
}
]
}Last updated
Was this helpful?

